Name:           log4cpp
Version:        1.0
Release:        4%{?dist}
Summary:        C++ logging library

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://sourceforge.net/projects/log4cpp/
Source0:        http://downloads.sourceforge.net/log4cpp/%{name}-%{version}.tar.gz
# Fix errors when compiling with gcc >= 4.3
Patch0:         log4cpp-1.0-gcc43.patch
# Don't put build cflags in .pc
Patch1:         log4cpp-1.0-remove-pc-cflags.patch
# Install docs into DESTDIR
Patch2:         log4cpp-1.0-fix-doc-dest.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  x86_64

BuildRequires:  gcc-c++
BuildRequires:  doxygen
BuildRequires:  automake, autoconf, libtool

%description
A library of C++ classes for flexible logging to files, syslog, IDSA and
other destinations. It is modeled after the Log for Java library
(http://www.log4j.org), staying as close to their API as is reasonable.


%package devel
Summary:        Header files, libraries and development documentation for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%setup -q
%patch0 -p 1 -b .gcc43
%patch1 -p 1 -b .no-cflags
%patch2 -p 1 -b .doc-dest
iconv -f iso-8859-1 -t utf8 -o THANKS.utf8 THANKS
iconv -f iso-8859-1 -t utf8 -o ChangeLog.utf8 ChangeLog
mv THANKS.utf8 THANKS
mv ChangeLog.utf8 ChangeLog

%build
aclocal -I m4
autoconf
autoheader
automake --add-missing --copy
libtoolize --copy --force
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%{__mv} %{buildroot}/usr/share/doc/log4cpp-%{version} rpmdocs

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO rpmdocs/*
%doc %{_mandir}/man3/log4cpp*
%{_libdir}/liblog4cpp.so.*

%files devel
%defattr(-, root, root, 0755)
%{_bindir}/log4cpp-config
%{_includedir}/log4cpp/
%{_libdir}/liblog4cpp.so
%{_libdir}/pkgconfig/log4cpp.pc
%{_datadir}/aclocal/log4cpp.m4
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la


%changelog
* Mon Jul 27 2009 Yuval Kashtan <ykashtan@redhat.com> - 1.0-4.el5
- limit rpm to x86_64, because it is used only by qspice, to fix #513407: "stack smashing detected" error on ia64 
Workaround: #513407

* Thu May 21 2009 Yuval Kashtan <ykashtan@redhat.com> - 1.0-3.el5
- fix log4cpp needs rebuild to increase version number to be greater than version used in RHEVH branch (#502047)
Resolves: #502047

* Thu Apr 16 2009 Yuval Kashtan <ykashtan@redhat.com> - 1.0-1.el5
- rpmlint issues (#488608)
Resolves: #488608 - add log4cpp package.

* Fri Dec 12 2008 Jon McCann <jmccann@redhat.com> - 1.0-1.el5
- Initial package
